Skip to main content
GET
/
v2
/
templates
/
{templateId}
/
images
/
{type}
Get All Images Of Pass Template Of Type
curl --request GET \
  --url https://api.loyalty.dog/v2/templates/{templateId}/images/{type} \
  --header 'Authorization: Bearer <token>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

authorization
string | null

Path Parameters

type
enum<string>
required

Supported images Boarding pass: logo, icon, footer Coupon: logo, icon, strip Event ticket: logo, icon, strip, background, thumbnail If you specify a strip image, do not specify a background image or a thumbnail. Generic: logo, icon, thumbnail Store card: logo, icon, strip

Args: StrEnum (type): description

Available options:
logo,
icon,
strip,
footer,
background,
thumbnail
templateId
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Response

Successful Response